#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-7cPgx9zCayiARq1pnEPeef
key:                  hOpenPGP-2.9.5-7cPgx9zCayiARq1pnEPeef
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  bf79e82cde8ff43f083488661e6c79eb
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-7cPgx9zCayiARq1pnEPeef
depends:
    aeson-1.5.6.0-5GxEynAdVr82B7C7yhxG6H
    asn1-encoding-0.9.6-2gyNhD7I6w944qidjj9Ibi
    attoparsec-0.14.1-AoMIcLScPFvBurgBnQ1JYu base-4.15.0.0
    base16-bytestring-1.0.1.0-1W0eOyz2lRFFHRqvFSDAjG
    bifunctors-5.5.11-765yoGpReeH1sHcQgjyDoE binary-0.8.8.0
    binary-conduit-1.3.1-6b6cfBtPFV35gtOdJQ8E1A bytestring-0.10.12.1
    bz2-1.0.1.0-1vDV2nr7moM1uGaZlOtE5K
    conduit-1.3.4.2-GFxfol2STf9ogjGtalbG8
    conduit-extra-1.3.5-76DLuA1UUt41ru1dmlKwhR containers-0.6.4.1
    crypto-cipher-types-0.0.9-2oAnHtqeRctAMvgq4mBtVl
    cryptonite-0.29-9RhUbtEXLk0CM6G85h2CZ5
    errors-2.3.0-FhBmHY7sMIf8wTT2E4ozOx
    hashable-1.3.4.1-5NDVV6nsO4l1z422uKeFYD
    incremental-parser-0.5.0.2-3atAhMuFxovGajxen3A2RA
    ixset-typed-0.5-7Ie3VMko4Qv1fI6ySyjGgL
    lens-5.0.1-9pbMt139R9N5tQynASPlkd
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    monad-loops-0.4.3-CoSqVlGqFyAAyK5Lg2m9AJ
    nettle-0.3.0-LBTadu1XgKbBXssreAKwoe
    network-uri-2.6.4.1-EcTGxkqzrae6EblsSSbJxc
    openpgp-asciiarmor-0.1.2-KfHMGgI7Uzs4LMn0ciZtoK
    prettyprinter-1.7.1-IOQCxsXofU13oWbyVi9CJ2
    resourcet-1.2.4.3-9qSUmuDUCscCd3wUfwFxWU
    split-0.2.3.4-JpNzY8dcl7KImtGP8YtXxn text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-HOIeHz8A3IdD2UbO8b27LU
    transformers-0.5.6.2 unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-EvtGmSgibELG8puyj0bZfl
    zlib-0.6.2.3-I5KBJK8lXjsBLxNdJvxxGW

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

